<div style="line-height:1.7;color:#000000;font-size:14px;font-family:Arial"><div style="line-height:1.7;color:#000000;font-size:14px;font-family:Arial"><div><div>Hi, everyone,</div><div>I have a problem when using rpm and rpmbuild.</div><div>centos6, I have a project which include an .so library, the library is compiled by myself. Compile the project and make a rpm file, successfully. Install it successfully.</div><div>But when I do this in centos7, compile successfully, but when I install the rpm file,</div><div> error: Failed dependencies:</div><div><span class="Apple-tab-span" style="white-space:pre">      </span>mylib.so.2()(64bit) is needed by myproject</div><div><br></div><div>Who can tell me why, and how to do with it. i do not want to install the library before install the rpm.</div></div><div><br></div><div>centos6  RPM version 4.8.0</div><div>centos7  RPM version 4.11.3</div><div><br></div><div><br></div><div>thanks</div></div><br><br><span title="neteasefooter"><p> </p></span></div><br><br><span title="neteasefooter"><p> </p></span>